Subject: Re: Submodule object store

From: Martin Waitz <[email-masked]>
Date: Tue, 27 Mar 2007 17:46:14 +0200

hoi :)

On Tue, Mar 27, 2007 at 01:25:49PM +0200, Uwe Kleine-König wrote:
> Martin Waitz wrote:
> > I want to be able to list all objects which are not reachable in the
> > object store, without traversing all submodules at the same time.
> > The only way I can think of to achieve this is to have one separate
> > object store per submodule and then do the traversal per submodule.
> I might have understood something wrongly, but to list objects that are
> not reachable you need to traverse all trees anyhow, don't you.  
> 
> Then how big is the difference between a directory and an submodule?
> I'd expect it's not so big if the submodules included in different
> revisions of the supermodule share most of their history.  Of course you
> need to exploit that.  Thinking again that might be the problem?

there is no big difference, only that the submodule may be huge by
itself.

And yes, every object has to be traversed anyhow, but not neccessarily by
the same process and at the same time.

-- 
Martin Waitz